创建 educationSchool
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
创建学校。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 |
权限(从最低特权到最高特权) |
| 委派(工作或学校帐户) |
不支持。 |
| 委派(个人 Microsoft 帐户) |
不支持。 |
| 应用程序 |
EduRoster.ReadWrite.All |
HTTP 请求
POST /education/schools
| 标头 |
值 |
| Authorization |
Bearer {token}。必需。 |
| Content-Type |
application/json |
请求正文
在请求正文中,提供 educationSchool 对象的 JSON 表示形式。
响应
如果成功,此方法会在响应正文中返回 201 Created 响应代码和 educationSchool 对象。
示例
请求
下面展示了示例请求。
POST https://graph.microsoft.com/beta/education/schools
Content-type: application/json
{
"displayName": "Fabrikam High School",
"description": "Magnate school for the arts. Los Angeles School District",
"externalSource": "String",
"principalEmail": "AmyR@fabrikam.com",
"principalName": "Amy Roebuck",
"externalPrincipalId": "14007",
"highestGrade": "12",
"lowestGrade": "9",
"schoolNumber": "10002",
"address": {
"city": "Los Angeles",
"countryOrRegion": "United States",
"postalCode": "98055",
"state": "CA",
"street": "12345 Main St."
},
"externalId": "10002",
"phone": "+1 (253) 555-0102",
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var educationSchool = new EducationSchool
{
DisplayName = "Fabrikam High School",
Description = "Magnate school for the arts. Los Angeles School District",
ExternalSource = EducationExternalSource.Sis,
PrincipalEmail = "AmyR@fabrikam.com",
PrincipalName = "Amy Roebuck",
ExternalPrincipalId = "14007",
HighestGrade = "12",
LowestGrade = "9",
SchoolNumber = "10002",
Address = new PhysicalAddress
{
City = "Los Angeles",
CountryOrRegion = "United States",
PostalCode = "98055",
State = "CA",
Street = "12345 Main St."
},
ExternalId = "10002",
Phone = "+1 (253) 555-0102"
};
await graphClient.Education.Schools
.Request()
.AddAsync(educationSchool);
const options = {
authProvider,
};
const client = Client.init(options);
const educationSchool = {
displayName: 'Fabrikam High School',
description: 'Magnate school for the arts. Los Angeles School District',
externalSource: 'String',
principalEmail: 'AmyR@fabrikam.com',
principalName: 'Amy Roebuck',
externalPrincipalId: '14007',
highestGrade: '12',
lowestGrade: '9',
schoolNumber: '10002',
address: {
city: 'Los Angeles',
countryOrRegion: 'United States',
postalCode: '98055',
state: 'CA',
street: '12345 Main St.'
},
externalId: '10002',
phone: '+1 (253) 555-0102',
};
await client.api('/education/schools')
.version('beta')
.post(educationSchool);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/education/schools"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphEducationSchool *educationSchool = [[MSGraphEducationSchool alloc] init];
[educationSchool setDisplayName:@"Fabrikam High School"];
[educationSchool setDescription:@"Magnate school for the arts. Los Angeles School District"];
[educationSchool setExternalSource: [MSGraphEducationExternalSource sis]];
[educationSchool setPrincipalEmail:@"AmyR@fabrikam.com"];
[educationSchool setPrincipalName:@"Amy Roebuck"];
[educationSchool setExternalPrincipalId:@"14007"];
[educationSchool setHighestGrade:@"12"];
[educationSchool setLowestGrade:@"9"];
[educationSchool setSchoolNumber:@"10002"];
MSGraphPhysicalAddress *address = [[MSGraphPhysicalAddress alloc] init];
[address setCity:@"Los Angeles"];
[address setCountryOrRegion:@"United States"];
[address setPostalCode:@"98055"];
[address setState:@"CA"];
[address setStreet:@"12345 Main St."];
[educationSchool setAddress:address];
[educationSchool setExternalId:@"10002"];
[educationSchool setPhone:@"+1 (253) 555-0102"];
NSError *error;
NSData *educationSchoolData = [educationSchool getSerializedDataWithError:&error];
[urlRequest setHTTPBody:educationSchoolData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewEducationSchool()
displayName := "Fabrikam High School"
requestBody.SetDisplayName(&displayName)
description := "Magnate school for the arts. Los Angeles School District"
requestBody.SetDescription(&description)
externalSource := "String"
requestBody.SetExternalSource(&externalSource)
principalEmail := "AmyR@fabrikam.com"
requestBody.SetPrincipalEmail(&principalEmail)
principalName := "Amy Roebuck"
requestBody.SetPrincipalName(&principalName)
externalPrincipalId := "14007"
requestBody.SetExternalPrincipalId(&externalPrincipalId)
highestGrade := "12"
requestBody.SetHighestGrade(&highestGrade)
lowestGrade := "9"
requestBody.SetLowestGrade(&lowestGrade)
schoolNumber := "10002"
requestBody.SetSchoolNumber(&schoolNumber)
address := msgraphsdk.NewPhysicalAddress()
requestBody.SetAddress(address)
city := "Los Angeles"
address.SetCity(&city)
countryOrRegion := "United States"
address.SetCountryOrRegion(&countryOrRegion)
postalCode := "98055"
address.SetPostalCode(&postalCode)
state := "CA"
address.SetState(&state)
street := "12345 Main St."
address.SetStreet(&street)
externalId := "10002"
requestBody.SetExternalId(&externalId)
phone := "+1 (253) 555-0102"
requestBody.SetPhone(&phone)
result, err := graphClient.Education().Schools().Post(requestBody)
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
EducationSchool educationSchool = new EducationSchool();
educationSchool.displayName = "Fabrikam High School";
educationSchool.description = "Magnate school for the arts. Los Angeles School District";
educationSchool.externalSource = EducationExternalSource.SIS;
educationSchool.principalEmail = "AmyR@fabrikam.com";
educationSchool.principalName = "Amy Roebuck";
educationSchool.externalPrincipalId = "14007";
educationSchool.highestGrade = "12";
educationSchool.lowestGrade = "9";
educationSchool.schoolNumber = "10002";
PhysicalAddress address = new PhysicalAddress();
address.city = "Los Angeles";
address.countryOrRegion = "United States";
address.postalCode = "98055";
address.state = "CA";
address.street = "12345 Main St.";
educationSchool.address = address;
educationSchool.externalId = "10002";
educationSchool.phone = "+1 (253) 555-0102";
graphClient.education().schools()
.buildRequest()
.post(educationSchool);
Import-Module Microsoft.Graph.Education
$params = @{
DisplayName = "Fabrikam High School"
Description = "Magnate school for the arts. Los Angeles School District"
ExternalSource = "String"
PrincipalEmail = "AmyR@fabrikam.com"
PrincipalName = "Amy Roebuck"
ExternalPrincipalId = "14007"
HighestGrade = "12"
LowestGrade = "9"
SchoolNumber = "10002"
Address = @{
City = "Los Angeles"
CountryOrRegion = "United States"
PostalCode = "98055"
State = "CA"
Street = "12345 Main St."
}
ExternalId = "10002"
Phone = "+1 (253) 555-0102"
}
New-MgEducationSchool -BodyParameter $params
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 201 Created
Content-type: application/json
{
"id": "10002",
"displayName": "Fabrikam High School",
"description": "Magnate school for the arts. Los Angeles School District",
"externalSource": "String",
"principalEmail": "AmyR@fabrikam.com",
"principalName": "Amy Roebuck",
"externalPrincipalId": "14007",
"highestGrade": "12",
"lowestGrade": "9",
"schoolNumber": "10002",
"address": {
"city": "Los Angeles",
"countryOrRegion": "United States",
"postalCode": "98055",
"state": "CA",
"street": "12345 Main St."
},
"createdBy": {
"user": {
"displayName": "Susana Rocha",
"id": "14012",
}
},
"externalId": "10002",
"phone": "+1 (253) 555-0102",
}